summaryrefslogtreecommitdiffstats
path: root/.local/bin/statusbar
diff options
context:
space:
mode:
authorLuke Smith <luke@lukesmith.xyz>2020-06-23 17:15:15 -0400
committerLuke Smith <luke@lukesmith.xyz>2020-06-23 17:15:15 -0400
commite712a41c70000231b35750b19c9c76c04b08be7e (patch)
tree8a868769849b93ee6fdd896c209aa3e1303e27a6 /.local/bin/statusbar
parent927a7c39c24272eeb6c7ca9e75a359314ad20025 (diff)
parentbeaa49345c38131b2648d96aef932327f8ea5f28 (diff)
downloadeibhear-e712a41c70000231b35750b19c9c76c04b08be7e.tar.gz
eibhear-e712a41c70000231b35750b19c9c76c04b08be7e.tar.zst
eibhear-e712a41c70000231b35750b19c9c76c04b08be7e.zip
Merge branch 'tomicp-keyboard-layout-switch'
Diffstat (limited to '.local/bin/statusbar')
-rwxr-xr-x.local/bin/statusbar/kbselect16
1 files changed, 16 insertions, 0 deletions
diff --git a/.local/bin/statusbar/kbselect b/.local/bin/statusbar/kbselect
new file mode 100755
index 0000000..d7313c6
--- /dev/null
+++ b/.local/bin/statusbar/kbselect
@@ -0,0 +1,16 @@
+#!/bin/sh
+# works on any init system
+# requirements: dmenu, xorg-setxkbmap, xkblayout-state (https://github.com/nonpop/xkblayout-state)
+kb="$(xkblayout-state print "%s")" || exit 1
+
+case $BLOCK_BUTTON in
+ 1) kb_choice="$(awk '/! layout/{flag=1; next} /! variant/{flag=0} flag {print $2, "- " $1}' /usr/share/X11/xkb/rules/base.lst | dmenu -l 15)"
+ kb="$(echo "$kb_choice" | awk '{print $3}')"
+ setxkbmap "$kb"
+ pkill -RTMIN+30 "${STATUSBAR:-dwmblocks}";;
+ 3) notify-send "⌨ Keyboard/language module" "$(xkblayout-state print "\- Current layout: %s (%n)")
+- Left click to change keyboard.";;
+ 6) "$TERMINAL" -e "$EDITOR" "$0" ;;
+esac
+
+echo "$kb"